Bug 862408 - [abrt] lyx-2.0.4-1.fc17: lyx::Paragraph::getInset: Process /usr/bin/lyx was killed by signal 11 (SIGSEGV)
[abrt] lyx-2.0.4-1.fc17: lyx::Paragraph::getInset: Process /usr/bin/lyx was k...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lyx (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:65208a0655c1e01bfee40674202...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 15:41 EDT by Martin Nyhus
Modified: 2013-07-24 13:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:46:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (9.21 KB, text/plain)
2012-10-02 15:41 EDT, Martin Nyhus
no flags Details
File: environ (3.29 KB, text/plain)
2012-10-02 15:41 EDT, Martin Nyhus
no flags Details
File: backtrace (107.17 KB, text/plain)
2012-10-02 15:41 EDT, Martin Nyhus
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-02 15:41 EDT, Martin Nyhus
no flags Details
File: cgroup (128 bytes, text/plain)
2012-10-02 15:41 EDT, Martin Nyhus
no flags Details
File: maps (57.11 KB, text/plain)
2012-10-02 15:41 EDT, Martin Nyhus
no flags Details
File: dso_list (16.81 KB, text/plain)
2012-10-02 15:41 EDT, Martin Nyhus
no flags Details
File: var_log_messages (151 bytes, text/plain)
2012-10-02 15:41 EDT, Martin Nyhus
no flags Details
File: open_fds (414 bytes, text/plain)
2012-10-02 15:41 EDT, Martin Nyhus
no flags Details
Second, slightly different backtrace (71.57 KB, text/plain)
2012-10-02 16:08 EDT, Martin Nyhus
no flags Details

  None (edit)
Description Martin Nyhus 2012-10-02 15:41:32 EDT
Description of problem:
Not sure how the crash happened (unable to reproduce). I was spellchecking a fairly simple document (language was Norwegian), and after ~20 replacements Lyx crashed when I double-clicked the correct suggestion.

Version-Release number of selected component:
lyx-2.0.4-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        lyx Rapport.lyx
crash_function: lyx::Paragraph::getInset
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 lyx::Paragraph::getInset at Paragraph.cpp:3294
: #1 lyx::ParagraphMetrics::singleWidth at ParagraphMetrics.cpp:216
: #2 lyx::TextMetrics::cursorX at TextMetrics.cpp:1734
: #3 lyx::BufferView::coordOffset at BufferView.cpp:2783
: #4 lyx::BufferView::getPos at BufferView.cpp:2806
: #5 lyx::BufferView::cursorPosAndHeight at BufferView.cpp:2829
: #6 lyx::frontend::GuiWorkArea::showCursor at GuiWorkArea.cpp:583
: #7 QMetaObject::activate at kernel/qobject.cpp:3547
: #8 QObject::event at kernel/qobject.cpp:1157
: #9 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4551
Comment 1 Martin Nyhus 2012-10-02 15:41:35 EDT
Created attachment 620467 [details]
File: core_backtrace
Comment 2 Martin Nyhus 2012-10-02 15:41:37 EDT
Created attachment 620468 [details]
File: environ
Comment 3 Martin Nyhus 2012-10-02 15:41:39 EDT
Created attachment 620469 [details]
File: backtrace
Comment 4 Martin Nyhus 2012-10-02 15:41:41 EDT
Created attachment 620470 [details]
File: limits
Comment 5 Martin Nyhus 2012-10-02 15:41:43 EDT
Created attachment 620471 [details]
File: cgroup
Comment 6 Martin Nyhus 2012-10-02 15:41:46 EDT
Created attachment 620472 [details]
File: maps
Comment 7 Martin Nyhus 2012-10-02 15:41:48 EDT
Created attachment 620473 [details]
File: dso_list
Comment 8 Martin Nyhus 2012-10-02 15:41:50 EDT
Created attachment 620474 [details]
File: var_log_messages
Comment 9 Martin Nyhus 2012-10-02 15:41:53 EDT
Created attachment 620475 [details]
File: open_fds
Comment 10 Martin Nyhus 2012-10-02 16:08:25 EDT
Created attachment 620492 [details]
Second, slightly different backtrace

Crashed again under the same circumstances (but different words, document position etc.), so I guess it is at least somewhat reproducible. Attached backtrace from second crash which is different, with the exception of frames 1 (lyx::ParagraphMetrics::singleWidth) and 2 (lyx::TextMetrics::cursorX).
Comment 11 José Matos 2012-10-03 05:54:38 EDT
Thanks for the report.

I will forward this report to lyx-devel in order to be fixed.
Comment 12 José Matos 2012-10-03 07:30:45 EDT
This bug seems to have been reported into lyx bugs:

http://www.lyx.org/trac/ticket/8353

I will track that bug and report as I have further details.
Comment 13 José Matos 2012-11-26 10:58:37 EST
lyx-2.0.5 is in the testing-updates for F16, F17 and F18.

Please test if and see if the problem persists. Thank you.
Comment 14 Fedora End Of Life 2013-07-04 02:29:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.